classification
Title: configure shouldn't set a default OPT
Type: behavior Stage:
Components: Build Versions: Python 3.10
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, barry, dmalcolm, eric.araujo, iritkatriel, laca, pitrou
Priority: normal Keywords:

Created on 2010-12-09 19:25 by pitrou, last changed 2021-04-17 04:43 by Arfrever.

Messages (4)
msg123695 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-12-09 19:25
The configure.in sets a default OPT of "-O" if none was set by the user, but I think that's wrong. The user could simply pass optimization flags as part of CFLAGS instead, and then the contents of OPT could conflict with that of CFLAGS (which is annoying to debug when you don't know what is happening exactly).

Besides, "-O" is hardly an useful default value for any compiler. I would advocate trimming down the magic and letting OPT empty/undefined if that's what the user asks for (and expects). What do you think?
msg135468 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2011-05-07 15:18
Sounds reasonable.
msg379807 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-10-27 21:41
I couldn't find a configure.in. Is this issue out of date?
msg391271 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2021-04-17 04:43
configure.in is old name of Autoconf input file.
configure.ac is new name of Autoconf input file (and the only name to be supported in some future version of Autoconf).
configure.in in CPython project was renamed to configure.ac in 2012 (commit 0f4c16e29cd7925bd99cb68dba5595eed6e19b62).
Problem described in this issue is still present in configure.ac.
History
Date User Action Args
2021-04-17 04:43:11Arfreversetstatus: closed -> open
versions: + Python 3.10, - Python 3.1, Python 2.7, Python 3.2
messages: + msg391271

resolution: out of date ->
stage: resolved ->
2021-04-16 23:06:17iritkatrielsetstatus: open -> closed
resolution: out of date
stage: resolved
2020-10-27 21:41:59iritkatrielsetnosy: + iritkatriel
messages: + msg379807
2011-05-07 15:18:28eric.araujosetmessages: + msg135468
2010-12-19 23:41:08eric.araujosetnosy: + eric.araujo
2010-12-11 18:20:07Arfreversetnosy: + Arfrever
2010-12-09 19:25:28pitroucreate